Source: qtxmlpatterns-opensource-src
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <debian@pusling.com>,
           Pino Toscano <pino@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Timo Jyrinki <timo@debian.org>,
           Dmitry Shachnev <mitya57@debian.org>,
           Simon Quigley <tsimonq2@debian.org>
Build-Depends: debhelper-compat (= 13),
               dpkg-dev (>= 1.17.14),
               pkg-kde-tools,
               qml-module-qtquick2 (>= 5.15.1+dfsg~),
               qtbase5-private-dev (>= 5.15.1+dfsg~),
               qtdeclarative5-private-dev (>= 5.15.1+dfsg~),
               xauth <!nocheck>,
               xvfb <!nocheck>
Build-Depends-Indep: qttools5-dev-tools (>= 5.15.1~) <!nodoc>
Standards-Version: 4.5.0
Homepage: https://doc.qt.io/qt-5/qtxmlpatterns-index.html
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtxmlpatterns.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtxmlpatterns

Package: libqt5xmlpatterns5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 XML patterns module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 QtXmlPatterns is a XQuery and XPath engine for XML and custom data models.

Package: libqt5xmlpatterns5-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libqt5xmlpatterns5 (= ${binary:Version}),
         qtbase5-dev | qtbase5-gles-dev,
         ${misc:Depends}
Description: Qt 5 XML patterns development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building Qt 5
 applications using QtXmlPatterns library.

Package: qtxmlpatterns5-dev-tools
Architecture: any
Multi-Arch: foreign
Section: devel
Depends: qtchooser, ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 XML patterns development programs
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the development programs such as xmlpatterns and
 xmlpatternsvalidator.

Package: qml-module-qtquick-xmllistmodel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 xmllistmodel QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This QML module contains types for creating models from XML data.

Package: qtxmlpatterns5-examples
Architecture: any
Multi-Arch: same
Section: x11
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 XML patterns examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 5 XML patterns examples.

Package: qtxmlpatterns5-doc
Build-Profiles: <!nodoc>
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Qt 5 XML patterns documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for the Qt 5 XML patterns
 libraries.

Package: qtxmlpatterns5-doc-html
Build-Profiles: <!nodoc>
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Qt 5 XML patterns HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the HTML documentation for the Qt 5 XML patterns
 libraries.
